From 7a7b2b0ddd8bb2e80446cf8425091e2b03dc0631 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 30 Oct 2009 20:57:56 +0100
Subject: [PATCH] Use correct compiler for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 R.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/R.spec b/R.spec
index c617096..3f8e639 100644
--- a/R.spec
+++ b/R.spec
@@ -6,7 +6,7 @@
 
 Name: R
 Version: 2.9.2
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 Summary: A language for data analysis and graphics
 URL: http://www.r-project.org
 Source0: ftp://cran.r-project.org/pub/R/src/base/R-2/R-%{version}.tar.gz
@@ -202,7 +202,7 @@ case "%{_target_cpu}" in
           export F77="gfortran -m64"
           export FC="gfortran -m64"
       ;;
-      ia64|alpha|sh*)
+      ia64|alpha|arm*|sh*)
           export CC="gcc"
           export CXX="g++"
           export F77="gfortran"
@@ -996,6 +996,9 @@ R CMD javareconf \
 %postun -n libRmath -p /sbin/ldconfig
 
 %changelog
+* Sat Oct 31 2009 Jitesh Shah <jiteshs2marvell.com> - 2.9.2-1.fa1
+- Use correct compiler for ARM
+
 * Mon Aug 24 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.9.2-1
 - Update to 2.9.2
 
-- 
1.5.5.6

